#ifndef TESTS_STRUCTS_HPP
# define TESTS_STRUCTS_HPP

// abstract class test -----------------------
struct A_test
{
	virtual ~A_test(){};
	std::string		title;
	std::string		type;
	virtual void	func() = 0;
};
// mystruct ----------------------------------
struct mystruct {
public:
	mystruct(int data = 0);
	~mystruct();
	int *	get_data() const;
private:
	int *	_val;
};
std::ostream &	operator<<(std::ostream & o, mystruct const * rhs);

#endif

